require("settingsmgr")
require("musicmgr")
require("scenemgr")
require("inputmgr")
require("factory")
require("entitymgr")
require("components")
require("positionsys")
require("drawsys")
require("guisys")
require("animationsys")
require("timersys")

function love.load()
	win = { x = love.graphics.getWidth(), y = love.graphics.getHeight() }
	
	love.graphics.setBackgroundColor(0, 0, 0)

	love.graphics.setDefaultImageFilter("nearest", "nearest")
	
	musicmgr:play("intro.mp3", true)
	--love.mouse.setGrab(true)
	--love.mouse.setVisible(false)
	
	scenemgr:load()
end

function love.update(dt)
	scenemgr:update(dt)
end

function love.draw()
	scenemgr:draw()
end

function love.focus(hasFocus)
	if hasFocus then scenemgr:unpause()
	else scenemgr:pause() end
end

function love.quit()

end